//
// DropDownViewController.h
// IvyMedia
//
// Created by haibara on 9/13/14.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@interface DropDownItem : NSObject
@property (nonatomic, strong) id label;
@property (nonatomic, strong) id value;
@end

@interface DropDownViewController : UITableViewController

- (void)setItemsWithValues:(NSArray *)values;
- (void)setItemsWithValues:(NSArray *)values andLabels:(NSArray *)labels;
- (void)addItemsWithValues:(NSArray *)values andLabels:(NSArray *)labels groupedTitle:(NSString *)title;
- (void)selectValues:(NSArray *)values;

- (void)setDidDoneBlock:(void (^) (NSArray *items))block;
- (void)setDidCancelBlock:(void (^) (void))block;

@end
