//
//  RangeCalendarCell.h
//  Project
//
//  Created by Vae on 2018/9/17.
//

#import <FSCalendar/FSCalendar.h>

typedef NS_ENUM(NSUInteger, SelectionType) {
	SelectionTypeNone,
	SelectionTypeSingle,
	SelectionTypeMiddle,
	SelectionTypeBorder,
	SelectionTypeStart
};

@interface RangeCalendarCell : FSCalendarCell
@property (weak, nonatomic) CAShapeLayer *selectionLayer;
@property (weak, nonatomic) CAShapeLayer *middleLayer;
@property (assign, nonatomic) SelectionType selectionType;
@property(nonatomic, assign) CGFloat  titleHeight;
@property(nonatomic, assign) BOOL isHotel;
@end
