//
//  BasePopView.h
//  GotoBus
//
//  Created by 包光清 on 2018/6/13.
//

#import <UIKit/UIKit.h>

typedef NS_ENUM (NSInteger, PopViewSizeType) {
	PopViewSizeTypeNone,
	PopViewSizeTypeHalf,
	PopViewSizeTypeAll,
};

@interface BasePopView : UIView

@property (nonatomic, assign) PopViewSizeType popViewState;
@property (nonatomic, assign) CGFloat minimumHeight;
@property (nonatomic, assign) CGFloat baselineHeight;
@property (nonatomic, assign) CGFloat maximumHeight;

@property(nonatomic, copy) void (^changePopViewFrame)(CGFloat scrollHeight);
@property (nonatomic, copy) void (^didChangePopViewFrame) (CGFloat scrollHeight);

@end
