#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "MapViewAnnotation.h"
#import "SMMapView.h"

@interface MapViewController : UIViewController

@property (nonatomic, weak) IBOutlet SMMapView *mapView;

- (void)addAnnotation:(MapViewAnnotation *)annotation;
- (void)addAnnotations:(NSArray<MapViewAnnotation *> *)annotations;
- (void)selectAnnotation:(MapViewAnnotation *)annotation;

- (void)didSelectAnnotation:(MapViewAnnotation *)annotation;

@end
