//
// IMActionSheet.h
// GotoBus
//
// Created by haibara on 1/9/15.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@interface NavigationItemSheet : NSObject

@property (nonatomic, strong, readonly) UINavigationItem *navigationItem;

- (instancetype)initWithViews:(NSArray *)views handler:(void (^)(void))handler;

- (void)show;
- (void)dismissWithHandler:(void (^)(void))handler;

@end
