//
//  RangeCalendarViewController.h
//  Project
//
//  Created by Vae on 2018/9/17.
//

#import <UIKit/UIKit.h>
#import <FSCalendar/FSCalendar.h>
#import "CalendarPrice.h"
@interface RangeCalendarViewController : UIViewController
@property (nonatomic, assign) BOOL isShowPriceTitle;
@property (nonatomic, assign) BOOL isRoundTrip;
@property (nonatomic, assign) BOOL isHotel;
@property (nonatomic, assign) BOOL isBusHotel;
@property (nonatomic, assign) BOOL isHeaderViewUserInteractionEnabled;
@property (nonatomic, strong) NSDate *minimumDate;
@property (nonatomic, strong) NSDate *maximumDate;
@property (nonatomic, strong) CalendarPrice *calendarPrice;
@property (nonatomic, strong, readonly) NSDate *startDate;
@property (nonatomic, strong, readonly) NSDate *endDate;

- (void)selectDate:(NSDate *)date;
- (void)selectRangeFromStartDate:(NSDate *)startDate toEndDate:(NSDate *)endDate;
- (void)setDidCancelBlock:(void (^)(void))block;
- (void)setDidDoneBlock:(void(^)(NSDate *date))block;
- (void)setDidDoneRangeBlock:(void (^) (NSDate *startDate, NSDate *endDate))block;
@end
