//
//  SelectLocationViewController.h
//  Project
//
//  Created by 包光清 on 2018/6/11.
//


#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "MapViewController.h"

@interface SelectLocationViewController : MapViewController

@property (nonatomic, assign) BOOL isArrival;

- (NSArray<MapViewAnnotation *> *)getAnnotations;
- (NSArray<MapViewAnnotation *> *)getAnnotationsIsArrival:(BOOL)isArrival;
- (void)addAnnotations:(NSArray<MapViewAnnotation *> *)annotations title:(NSString *)title;
- (void)addAnnotations:(NSArray<MapViewAnnotation *> *)annotations title:(NSString *)title isArrival:(BOOL)isArrival;
- (void)selectAnnotation:(MapViewAnnotation *)annotation;
- (void)selectAnnotation:(MapViewAnnotation *)annotation isArrival:(BOOL)isArrival;
- (void)selectTitle:(NSString *)title;
- (void)selectTitle:(NSString *)title isArrival:(BOOL)isArrival;
- (void)setDidCancelBlock:(void (^)(void))block;
- (void)setDidDoneBlock:(void (^) (MapViewAnnotation *annotation))block;
- (void)setDidDoneDepartureAndArrivalBlock:(void (^) (MapViewAnnotation *departureAnnotation, MapViewAnnotation *arrivalAnnotation))block;

@end
